#include "wiiremote.h"

#define WiiBoard	//RgAEgWiiRemote

int main(void){

	hRsDevHandle = OpenHidHandle(VID,PID);
	if ( hRsDevHandle == INVALID_HANDLE_VALUE) {
		MessageBox(0,"Wii-Remote not found.",0,0);
	}
	
	Wii_Remote_mode_0x31();
	Sleep2(500);

	if ( Wii_Remote_check() ) {
#ifdef WiiBoard
		Wii_Board_init();  // Balance Board Start
#else
		Wii_IR_init();	   // Wii Remote Start
#endif

		_beginthread( Wii_IR_main , 0 , NULL );
		Sleep2(500);

		while(!kbhit()){
			Sleep2(10);

#ifdef WiiBoard
		// Balance Wii Board test	
			if(button2 & 0x08){
				Brf_offset = Brf;  Brb_offset = Brb;
				Blf_offset = Blf;  Blb_offset = Blb;
			}
			Mrf=Brf-Brf_offset;  Mrb=Brb-Brb_offset;	// Mass of object (x10g)
			Mlf=Blf-Blf_offset;  Mlb=Blb-Blb_offset;
			Msum=Mrf+Mrb+Mlf+Mlb;						// Total Mass
		printf("%d,%d, Msum%5.1f(kg), Mrf% 5d, Mrb% 5d, Mlf% 5d, Mlb% 5d\n", button1,button2,(double)(Msum)/100,Mrf,Mrb,Mlf,Mlb);
#else
		// WiiRemote IR sensor test	
			printf("Ix1 %d, Iy1 %d, Ix2 %d, Iy2 %d, Ix3 %d, Iy3 %d, Ix4 %d, Iy4 %d\n",
			(int)Ix1, (int)Iy1, (int)Ix2, (int)Iy2, (int)Ix3, (int)Iy3, (int)Ix4, (int)Iy4);
#endif
		}
	}
	else {
		MessageBox(0,"Wii-Remote cannot open.",0,0);
	}

	Stop_Wii_remote_th();
	CloseHidHandle( hRsDevHandle );
	return 0;
}
	




	
